Bug 1921806 - Explore page APIResourceLinks aren't i18ned
Summary: Explore page APIResourceLinks aren't i18ned
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.7.0
Assignee: ralpert
QA Contact: Siva Reddy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-28 16:15 UTC by ralpert
Modified: 2021-02-24 15:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Resource kinds in Explore page resource dropdown were not internationalized. Consequence: This could lead to inconsistencies that could confuse users. For example, the text in the navigation for the kind may not match the kind in the dropdown. Fix: Internationalized the kind where possible. Result: Resource kinds should be consistent.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:57:05 UTC
Target Upstream Version:


Attachments (Terms of Use)
explore-page (118.52 KB, image/png)
2021-02-02 14:40 UTC, Yanping Zhang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7969 0 None closed Bug 1921806: i18n APIResourceLinks 2021-02-07 00:55:23 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:57:23 UTC

Description ralpert 2021-01-28 16:15:56 UTC
Description of problem:
Explore page APIResourceLinks aren't internationalized. They may not match navigation items, etc.

Version-Release number of selected component (if applicable):
4.7

How reproducible:
Always

Steps to Reproduce:
1. Go to Explore page

Actual results:
APIResourceLinks aren't internationalized.

Expected results:
APIResourceLinks should be consistent with navigation.

Comment 2 Yanping Zhang 2021-02-02 14:40:50 UTC
Created attachment 1754414 [details]
explore-page

Comment 3 Yanping Zhang 2021-02-02 14:41:00 UTC
Checked on ocp 4.7 cluster with payload 4.7.0-0.nightly-2021-01-31-031653.
Go to Home->Explore page, add ?pseudolocalization=true&lng=en suffix in console url, check the page, in "Kind" column, some resource kinds are marked for translation, some are not.
Should not all of them be marked for translation?

Comment 4 ralpert 2021-02-02 17:15:13 UTC
Hey @yanpzhan@redhat.com- Sorry, didn't mean to change the status. Only resource models that we've added a labelKey to will be marked for translation. These include items in the navigation such as "Pod." We only addressed resource kinds listed in Management Console; we haven't touched package model information.

Comment 5 Yanping Zhang 2021-02-07 04:02:09 UTC
Checked on ocp 4.7 cluster with payload 4.7.0-0.nightly-2021-02-06-084550, on Home->Explore page, those resource kind with "labelkey" are marked for translation.
The bug is fixed.

Comment 8 errata-xmlrpc 2021-02-24 15:57:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.